ooo-build r14112 - in trunk: . bin patches/dev300



Author: szalaik
Date: Fri Sep 26 14:29:07 2008
New Revision: 14112
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14112&view=rev

Log:
2008-09-26  Kalman Szalai - KAMI <kamihir freemail hu>

	* patches/dev300/extensions_configure.diff
	* patches/dev300/extensions_deliver.diff
	* download.in
	* bin/setup.in
	* bin/unpack:
	Final touches of --with-sun-templates and
	--with-extension-integration switches.



Modified:
   trunk/ChangeLog
   trunk/bin/setup.in
   trunk/bin/unpack
   trunk/download.in
   trunk/patches/dev300/extensions_configure.diff
   trunk/patches/dev300/extensions_deliver.diff

Modified: trunk/bin/setup.in
==============================================================================
--- trunk/bin/setup.in	(original)
+++ trunk/bin/setup.in	Fri Sep 26 14:29:07 2008
@@ -27,6 +27,7 @@
 OOOP_GALLERY_PACK='@OOOP_GALLERY_PACK@'
 OOOP_SAMPLES_PACK='@OOOP_SAMPLES_PACK@'
 OOOP_TEMPLATES_PACK='@OOOP_TEMPLATES_PACK@'
+SUNTEMPLATES_LANG='@SUNTEMPLATES_LANG@'
 OOO_BUILDVERSION='@OOO_BUILDVERSION@'
 OOO_STRIP='@OOO_STRIP@'
 OOO_ADDITIONAL_SECTIONS='@OOO_ADDITIONAL_SECTIONS@'

Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack	(original)
+++ trunk/bin/unpack	Fri Sep 26 14:29:07 2008
@@ -145,7 +145,7 @@
 fi
 
     case "$DISTRO" in
-	NovellWin32*|GoOoWin32*|OxygenOffice*)
+	NovellWin32*|GoOoWin32*)
 	    check_file $SRCDIR/writingaids-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
 	    check_file $SRCDIR/writingaids-doc-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
 	    ;;
@@ -484,7 +484,7 @@
 fi
 
 case "$DISTRO" in
-    NovellWin32*|GoOoWin32*|OxygenOffice*)
+    NovellWin32*|GoOoWin32*)
     # Create prebuilt writingaids.zip
     tmpdir=`mktemp -d`
     (cd $tmpdir
@@ -629,11 +629,19 @@
 
 # OxygenOffice extras
 for pack in $OOOP_FONTS_PACK $OOOP_GALLERY_PACK $OOOP_SAMPLES_PACK $OOOP_TEMPLATES_PACK ; do
-    check_tarball $SRCDIR/$pack
+    check_file $SRCDIR/$pack
     echo "Unpacking $pack"
     unzip $SRCDIR/$pack -d $OOBUILDDIR/extras/source
 done
 
+# Sun Professional Templates Pack
+for pack in $SUNTEMPLATES_LANG ; do
+    check_file $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt
+    echo "Coping Sun_ODF_Template_Pack_$pack.oxt"
+    mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
+    $GNUCP -a $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt -d $OOBUILDDIR/extras/source/extensions || exit 1
+done
+
 # Extra command images
 echo "Copying extra command images"
 $GNUCP -f $TOOLSDIR/src/icons/*.png $OOBUILDDIR/default_images/res/commandimagelist/ || exit 1

Modified: trunk/download.in
==============================================================================
--- trunk/download.in	(original)
+++ trunk/download.in	Fri Sep 26 14:29:07 2008
@@ -25,6 +25,7 @@
 	return $string;
 }
 
+
 %SRC_URLS = (
     'http:\/\/.*'                        => '',
     'binutils-.*'			 => '@MIRROR@/support',
@@ -105,6 +106,7 @@
     'Sun_ODF_Template_Pack_it.oxt'	 => 'http://extensions.services.openoffice.org/files/299/0/',
     'Sun_ODF_Template_Pack_fr.oxt'	 => 'http://extensions.services.openoffice.org/files/297/0/',
     'Sun_ODF_Template_Pack_es.oxt'	 => 'http://extensions.services.openoffice.org/files/301/1/'
+
 );
 
 if ( '@UPSTREAM_NAME@' ne '' ) {

Modified: trunk/patches/dev300/extensions_configure.diff
==============================================================================
--- trunk/patches/dev300/extensions_configure.diff	(original)
+++ trunk/patches/dev300/extensions_configure.diff	Fri Sep 26 14:29:07 2008
@@ -7,7 +7,7 @@
 +
 +AC_ARG_WITH(extension-integration,
 +[
-+  --with-extension integration      It will integrate the builded extensions
++  --with-extension-integration      It will integrate the builded extensions
 +			  to the installer of the product.],
 +,)
 +

Modified: trunk/patches/dev300/extensions_deliver.diff
==============================================================================
--- trunk/patches/dev300/extensions_deliver.diff	(original)
+++ trunk/patches/dev300/extensions_deliver.diff	Fri Sep 26 14:29:07 2008
@@ -15,4 +15,14 @@
  ..\%__SRC%\bin\wiki-publisher.oxt %_DEST%\bin%_EXT%\swext\wiki-publisher.oxt
 +..\%__SRC%\bin\wiki-publisher.oxt %_DEST%\bin%_EXT%\wiki-publisher.oxt
  ..\%__SRC%\bin\mediawiki_develop.zip %_DEST%\bin%_EXT%\swext\mediawiki_develop.zip
+--- extras/prj/d.lst.orig	2008-09-25 16:32:31.000000000 +0200
++++ extras/prj/d.lst	2008-09-25 16:34:34.000000000 +0200
+@@ -4,6 +4,7 @@
+ mkdir: %COMMON_DEST%\pck%_EXT%\openoffice
+ 
+ ..\%COMMON_OUTDIR%\bin\*.zip %COMMON_DEST%\pck%_EXT%\*.zip
++..\source\extensions\*.oxt %COMMON_DEST%\bin%_EXT%\*.oxt
+ ..\%COMMON_OUTDIR%\bin\wordbook_en-US.zip %COMMON_DEST%\pck%_EXT%\wordbook_ja.zip
+ ..\%COMMON_OUTDIR%\bin\wordbook_en-US.zip %COMMON_DEST%\pck%_EXT%\wordbook_ko.zip
+ ..\%COMMON_OUTDIR%\bin\wordbook_en-US.zip %COMMON_DEST%\pck%_EXT%\wordbook_zh-CN.zip
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]